/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: VLTIprivate.h,v 1.9 2010/01/24 10:57:38 jaffe Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
/* $Id: VLTIprivate.h,v 1.9 2010/01/24 10:57:38 jaffe Exp $ */

#ifndef _VLTIPRIVATE_H
#define _VLTIPRIVATE_H
/*----------------------------------------------------------------------- */
/* Private FITS binary tables routines for the VLTI interferometer        */
/*----------------------------------------------------------------------- */

#include "VLTItable.h"

/* prototypes for table specific functions */
/* create table_def from values */
table_def* create_table_def(char  colsymb, int symcount,
			    char* extname, int nkey, char* keywords[], int keytype[], 
			    char* keycom[],
			    int ncol, char* coltype[], long colcount[],
			    int coldatatype[], char* colunits[], char* coldim[]);

/* read any application specific keywords*/
void get_application_keywords(fitsfile *fptr, table_def *out, int *ierr);

/* remove trailing blanks from a string (in place)*/
void table_deblank (char* string);

/* table type specific definitions */
table_def* make_XXX_table(char  colsymb, int symcount);     /* XXX (example) table */
table_def* make_SOURCE_table(char  colsymb, int symcount);  /* SOURCE table */
table_def* make_ARRAY_GEOMETRY_table(char  colsymb, int symcount);  /*  ARRAY_GEOMETRY table */
table_def* make_ADAPTIVE_OPTICS_table(char  colsymb, int symcount);  /*  ADAPTIVE_OPTICS table */
table_def* make_FLAG_table(char  colsymb, int symcount);  /*  FLAG table */
table_def* make_DELAY_table(char  colsymb, int symcount);  /*  DELAY table */
table_def* make_DISPERSION_table(char  colsymb, int symcount);  /*  DELAY table */
table_def* make_IMAGING_DATA_table(char  colsymb, int symcount);  /*  IMAGING_DATA table */
table_def* make_IMAGING_FDATA_table(char  colsymb, int symcount);  /*  IMAGING_FDATA table */
table_def* make_IMAGING_DETECTOR_table(char  colsymb, int symcount);  /*  IMAGING_DETECTOR table */
table_def* make_PREVISIBILITY_table(char  colsymb, int symcount);  /*  PREVISIBILITY table */
table_def* make_VISIBILITY_table(char  colsymb, int symcount);  /*  VISIBILITY table */
table_def* make_TIP_TILT_table(char  colsymb, int symcount);  /*  TIP_TILT table */
table_def* make_CALIBRATION_table(char  colsymb, int symcount);  /*  CALIBRATION table */
table_def* make_OPTICAL_TRAIN_table(char  colsymb, int symcount);  /*  OPTICAL_TRAIN table */
table_def* make_DELAY_table(char  colsymb, int symcount);  /*  DELAY */
table_def* make_WAVELENGTH_table(char  colsymb, int symcount);  /*  OI_WAVELENGTH table */
table_def* make_OI_VIS_table(char  colsymb, int symcount);  /*  OI_VIS table */
table_def* make_OI_TARGET_table(char  colsymb, int symcount);  /*  OI_TARGET table */

#endif /* end VLTIPRIVATE_H */
/* */
